commit: fbeda725940aeb0be30afc1fd3cd0da53a693a19
Author: Jory A. Pratt <anarchy <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 18 04:40:05 2018 +0000
Commit: Jory Pratt <anarchy <AT> gentoo <DOT> org>
CommitDate: Mon Jun 18 04:40:05 2018 +0000
URL: https://gitweb.gentoo.org/proj/mozilla.git/commit/?id=fbeda725
eclass: add support for torbrowser
eclass/mozconfig-v6.52.eclass | 2 +-
eclass/mozcoreconf-v6.eclass | 4 ++++
2 files changed, 5 insertions(+), 1 deletion(-)
diff --git a/eclass/mozconfig-v6.52.eclass b/eclass/mozconfig-v6.52.eclass
index 8dbb55f..eb5273a 100644
--- a/eclass/mozconfig-v6.52.eclass
+++ b/eclass/mozconfig-v6.52.eclass
@@ -26,7 +26,7 @@ case ${EAPI} in
;;
esac
-inherit flag-o-matic toolchain-funcs mozcoreconf-v5
+inherit flag-o-matic toolchain-funcs mozcoreconf-v6
# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
# @DESCRIPTION:
diff --git a/eclass/mozcoreconf-v6.eclass b/eclass/mozcoreconf-v6.eclass
index cb80b3f..2f1b0e3 100644
--- a/eclass/mozcoreconf-v6.eclass
+++ b/eclass/mozcoreconf-v6.eclass
@@ -124,6 +124,7 @@ mozconfig_init() {
declare FF=$([[ ${PN} == firefox ]] && echo true || echo false)
declare SM=$([[ ${PN} == seamonkey ]] && echo true || echo false)
declare TB=$([[ ${PN} == thunderbird ]] && echo true || echo false)
+ declare TRB=$([[ ${PN} == torbrowser ]] && echo true || echo false)
####################################
#
@@ -139,6 +140,9 @@ mozconfig_init() {
*firefox)
cp browser/config/mozconfig .mozconfig \
|| die "cp browser/config/mozconfig failed" ;;
+ *torbrowser)
+ cp browser/config/mozconfig .mozconfig \
+ || die "cp browser/config/mozconfig failed" ;;
seamonkey)
# Must create the initial mozconfig to enable
application
: >.mozconfig || die "initial mozconfig creation failed"